package intrinsic.mx.binding;

public class Binding extends Object {

	/** Accessors */

	/** Variables */
	public intrinsic.Function srcFunc;
	public int uiComponentWatcher;
	public Object document;
	public String destString;
	public boolean isHandlingEvent;
	public intrinsic.Function destFunc;
	public boolean isExecuting;
	public intrinsic.mx.binding.Binding twoWayCounterpart;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Binding() {
}

public Binding(Object arg0, Object arg1, Object arg2, Object arg3) {
}


/** Static Methods */

/** Methods */
public native void execute();
public native void execute(Object arg0);
public native void watcherFired(boolean arg0, int arg1);

}
